import setuptools
import CpicImgSim

setuptools.setup(
    name='CpicImgSim',
    version=CpicImgSim.__version__,
    author='CSST Team',
    author_email='gzhao@niaot.ac.cn',
    description='The CSST CPIC Simulation',  # short description
    packages=setuptools.find_packages(),
    license='MIT',
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: Science/Research",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3.8",
        "Topic :: Scientific/Engineering :: Physics",
        "Topic :: Scientific/Engineering :: Astronomy"
    ],
    package_dir={'CpicImgSim': 'CpicImgSim'},
    include_package_data=False,

    install_requires=['numpy', 'scipy', 'astropy', 'pysynphot', 'hcipy'],
    python_requires='>=3.8',
)
